package data

import (
	"context"
	"eta/eta_task/services/alarm_msg"
	"eta/eta_task/utils"
	"fmt"
)

// RefreshPCSGBloomberg 中石油新加坡-每日指标刷新
func RefreshPCSGBloomberg(cont context.Context) (err error) {
	defer func() {
		if err != nil {
			tips := "RefreshPCSGBloombergDaily-中石油新加坡-刷新彭博日度指标失败, ErrMsg:\n" + err.Error()
			utils.FileLog.Info(tips)
			go alarm_msg.SendAlarmMsg(tips, 3)
		}
	}()

	param := make(map[string]interface{})
	uri := "bloomberg/pcsg/refresh_task"
	res, e := postRefreshEdbData(param, uri)
	if e != nil {
		err = fmt.Errorf("postRefreshEdbData err: %s", e.Error())
		return
	}
	if res != nil && res.Ret != 200 {
		err = fmt.Errorf("postRefreshEdbData fail")
		return
	}
	return
}
